DELHOSTS(3PVM)

NAME
pvm_delhosts - Deletes hosts from the virtual machine.

SYNOPSIS
C	int info = pvm_delhosts( char **hosts, int nhost, int *infos )

Fortran	call pvmfdelhost( host, info )

PARAMETERS

hosts
    An array of pointers to character strings containing the names of the machines to be deleted.

nhost
    Integer specifying the number of hosts to be deleted.

infos
    Integer array of length nhost which contains the status code returned by the routine for the individual hosts. Values less than zero indicate an error.

host
    Character string containing the name of the machine to be deleted.

info
    Integer status code returned by the routine. Values less than nhost indicate partial failure, values less than 1 indicate total failure.

DESCRIPTION
The routine pvm_delhosts deletes the computers pointed to in hosts from the existing configuration of computers making up the virtual machine. All PVM processes and the pvmd running on these computers are killed as the computer is deleted. If pvm_delhosts is successful, info will be nhost. Partial success is indicated by 1<= info < nhost, and total failure by info < 1. The array infos can be checked to determine which host caused the error.

The Fortran routine pvmfdelhost deletes a single host from the configuration with each call.

If a host fails, the PVM system will continue to function and will automatically delete this host from the virtual machine. An application can be notified of a host failure by calling pvm_notify. It is still the responsibility of the application developer to make his application tolerant of host failure.

EXAMPLES
C:
	static char *hosts[] = {
		"sparky",
		"thud.cs.utk.edu",
	};
	int status[2];
	info = pvm_delhosts( hosts, 2, status );

Fortran:
	CALL PVMFDELHOST( 'azure', INFO )

ERRORS
These error conditions can be returned by pvm_delhosts

PvmBadParam
    giving an invalid argument value.

PvmSysErr
    local pvmd not responding.

SEE ALSO
pvm_addhosts(3PVM), pvm_notify(3PVM)